# [HW1](https://enos.itcollege.ee/~eikivi/python/hw1.txt)

## Task

Locations on earth are often expressed in geographic degrees (latitude and longitude). But when you are surveying you need to talk in meters (or feet). This is because - depending on the application - you use a geographic or projected coordinate system.

A geographic coordinate system (GCS) is a coordinate system which uses a three-dimensional spherical surface (ellipsoid) to define locations on the earth. A common choice of coordinates is latitude and longitude. For example, main entrance of Taltech IT College is located on 59Ā°23'43.02" North and 24Ā°39'50.78" East in the WGS84 coordinate system. 

In a projected coordinate system (PCS) you project the geographic coordinate that you have measured, to, for example, a cylinder which you roll out easily on two-dimensional surface (the map). There exist many different projections. For example, main entrance of Taltech IT College is located on X=6584335.6 and Y=537731.1 in the Estonian L-Est97 coordinate system. 
NB X-axe direction is to North and Y-axe direction is to East. https://xgis.maaamet.ee/xGIS/XGis?app_id=UU82&user_id=at&punkt=537731.1,6584335.6&zoom=95.2690129536204&LANG=2

Task: You need to wrote program which converts coordinates from WGS84 coordinates to L-Est97 and vice versa.
Additional requirements: Python 2.7 and 3.x, documentation and testing are mandatory.
GUI is recommended.

Hints
* use pyproj  library (https://pypi.org/project/pyproj/)
* Estonian coordinate system: http://spatialreference.org/ref/epsg/3301/
* WGS84 coordinate system: http://spatialreference.org/ref/epsg/4326/

